% The script is used for data scaling to the range of [0,1]

function scale(filename)
[Y,X] = libsvmread(filename);
X = (X-repmat(min(X,[],1),size(X,1),1))*spdiags(1./(max(X,[],1)-min(X,[],1))',0,size(X,2),size(X,2));
sfilename = sprintf('%s.scale', filename);
libsvmwrite(sfilename, Y, X);
